> ## Documentation Index
> Fetch the complete documentation index at: https://docs.steppay.kr/llms.txt
> Use this file to discover all available pages before exploring further.

# 구독 목록 조회

> 구독 목록을 반환합니다.



## OpenAPI

````yaml /steppay_v1.json get /api/v1/subscriptions
openapi: 3.0.1
info:
  title: STEPPAY
  version: '1.0'
  contact:
    name: Steppay
    url: https://www.steppay.kr
    email: contact@steppay.kr
servers:
  - url: https://api.steppay.kr
    description: Generated server url
security:
  - Secret-Token: []
paths:
  /api/v1/subscriptions:
    get:
      tags:
        - 구독 API
      summary: 구독 목록 조회
      description: 구독 목록을 반환합니다.
      operationId: v1_getSubscriptionList
      parameters:
        - name: ids
          in: query
          description: 구독 ID로 검색
          schema:
            type: integer
            format: int64
        - name: statuses
          in: query
          description: 구독 상태로 검색
          schema:
            type: string
        - name: productName
          in: query
          description: 구독 아이템의 상품명으로 검색
          schema:
            type: string
        - name: planName
          in: query
          description: 구독 아이템의 가격 플랜명으로 검색
          schema:
            type: string
        - name: customerId
          in: query
          description: 구독의 고객 번호로 검색
          schema:
            type: integer
            format: int64
        - name: customerUsername
          in: query
          description: 구독의 고객 아이디로 검색
          schema:
            type: string
        - name: customerName
          in: query
          description: 구독의 고객 이름으로 검색
          schema:
            type: string
        - name: email
          in: query
          description: 구독의 고객 이메일로 검색
          schema:
            type: string
        - name: phone
          in: query
          description: 구독의 고객 전화번호로 검색
          schema:
            type: string
        - name: startDate
          in: query
          description: 조회 시작 시점
          schema:
            type: string
            format: date-time
        - name: endDate
          in: query
          description: 조회 끝 시점
          schema:
            type: string
            format: date-time
        - name: page
          in: query
          description: '페이지 번호(기본값: 0)'
          schema:
            type: integer
            format: int32
        - name: size
          in: query
          description: '페이지 크기(기본값: 20)'
          schema:
            type: integer
            format: int32
        - name: sortDir
          in: query
          description: '정렬 방향(오름차순: ASC, 내림차순: DESC(기본값))'
          schema:
            type: string
        - name: sort
          in: query
          description: '정렬 기준값 - 기본값: 생성 시점'
          schema:
            type: string
      responses:
        '200':
          description: 정상적으로 조회됨
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SubscriptionListV1PageDTO'
        '400':
          description: Bad Request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ProductErrorresponse'
        '403':
          description: Forbidden
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ProductErrorresponse'
components:
  schemas:
    SubscriptionListV1PageDTO:
      title: 구독 목록 Pagination 정보
      required:
        - content
        - empty
        - first
        - last
        - number
        - numberOfElements
        - pageable
        - size
        - sort
        - totalElements
        - totalPages
      type: object
      properties:
        content:
          type: array
          description: 구독 목록
          items:
            $ref: '#/components/schemas/SubscriptionListV1DTO'
        empty:
          type: boolean
          description: 목록이 비어있는지 여부
        first:
          type: boolean
          description: 첫 번째 페이지인지 여부
        last:
          type: boolean
          description: 마지막 페이지인지 여부
        number:
          type: integer
          description: 페이지 번호
          format: int32
        numberOfElements:
          type: integer
          description: 페이지 내 고객 목록 개수
          format: int32
        pageable:
          $ref: '#/components/schemas/PageableDTO'
        size:
          type: integer
          description: 페이지 크기
          format: int32
        sort:
          $ref: '#/components/schemas/SortDTO'
        totalElements:
          type: integer
          description: 전체 고객 개수
          format: int32
        totalPages:
          type: integer
          description: 전체 페이지수
          format: int32
    ProductErrorresponse:
      required:
        - errorCode
      type: object
      properties:
        traceId:
          type: string
        errorCode:
          type: string
        errorMessage:
          type: string
        details:
          $ref: '#/components/schemas/ReturnError'
    SubscriptionListV1DTO:
      title: 구독 목록 정보
      required:
        - baseCurrency
        - currency
        - customerName
        - exchangeRate
        - id
        - interval
        - intervalCount
        - items
        - lastPaymentDateTime
        - price
        - productName
        - region
        - startDateTime
        - status
      type: object
      properties:
        id:
          type: integer
          description: 구독 번호
          format: int64
        status:
          type: string
          description: 구독 상태
          enum:
            - ACTIVE
            - UNPAID
            - PENDING_PAUSE
            - PAUSE
            - PENDING_CANCEL
            - EXPIRED
            - CANCELED
            - INCOMPLETE
            - QUEUEING
        customerName:
          type: string
          description: 고객명
        productName:
          type: string
          description: 상품명
        price:
          $ref: '#/components/schemas/PriceV1DTO'
        items:
          type: array
          description: 구독 항목들
          items:
            $ref: '#/components/schemas/SubscriptionItemV1DTO'
        startDateTime:
          type: string
          description: 구독 시작 시점
          format: date-time
        lastPaymentDateTime:
          type: string
          description: 최근 결제 시점
          format: date-time
        nextPaymentDateTime:
          type: string
          description: 다음 결제 시점
          format: date-time
        expiredDateTime:
          type: string
          description: 구독 만료 시점
          format: date-time
        pausedDateTime:
          type: string
          description: 구독 일시정지 시점
          format: date-time
        interval:
          type: string
          description: 구독 주기 단위
          enum:
            - DAY
            - WEEK
            - MONTH
            - YEAR
        intervalCount:
          type: integer
          description: 구독 주기
          format: int32
        paymentMethod:
          $ref: '#/components/schemas/CustomerPaymentMethodV1DTO'
        endDate:
          type: string
          description: 종료일
          format: date-time
        baseCurrency:
          type: string
          description: 부모 주문의 기준통화
        currency:
          type: string
          description: 부모 주문의 승인통화
        exchangeRate:
          type: number
          description: 부모 주문의 환율
        region:
          $ref: '#/components/schemas/RegionV1DTO'
      description: 구독 목록
    PageableDTO:
      title: Pagination 정보
      required:
        - offset
        - pageNumber
        - pageSize
        - paged
        - sort
        - unpaged
      type: object
      properties:
        offset:
          type: integer
          description: 오프셋
          format: int32
        pageNumber:
          type: integer
          description: 페이지 번호
          format: int32
        pageSize:
          type: integer
          description: 페이지 크기
          format: int32
        paged:
          type: boolean
          description: Pagination 정보 포함 여부
        sort:
          $ref: '#/components/schemas/SortDTO'
        unpaged:
          type: boolean
          description: Pagination 정보 미포함 여부
      description: Pagination 정보
    SortDTO:
      title: Pagination 정렬 정보
      required:
        - empty
        - sorted
        - unsorted
      type: object
      properties:
        empty:
          type: boolean
          description: 비어있는지 여부
        sorted:
          type: boolean
          description: 정렬되어 있는지 여부
        unsorted:
          type: boolean
          description: 정렬되어 있지 않은지 여부
      description: 정렬 정보
    ReturnError:
      type: object
    PriceV1DTO:
      title: 가격 플랜 정보
      required:
        - basicServing
        - billingDate
        - bundlePrices
        - code
        - enabledFirstSalePrice
        - firstSalePrice
        - id
        - maximumPurchaseQuantity
        - membershipExpirationDate
        - onetimeBundlePrice
        - options
        - order
        - price
        - type
        - volumes
      type: object
      properties:
        id:
          type: integer
          description: 가격 플랜 아이디
          format: int64
        code:
          type: string
          description: 가격 플랜 코드
        price:
          type: number
          description: 가격(기준통화)
        currencyPrice:
          type: object
          additionalProperties:
            type: number
            description: 통화별 가격(기준통화 외)
          description: 통화별 가격(기준통화 외)
        unit:
          type: string
          description: 단위
        planName:
          type: string
          description: 플랜명
          deprecated: true
        planDescription:
          type: string
          description: 플랜 설명
          deprecated: true
        type:
          type: string
          description: 플랜 타입
          enum:
            - ONE_TIME
            - FLAT
            - UNIT_BASED
            - USAGE_BASED
            - VOLUME_BASED
            - BUNDLE
        enabledFirstSalePrice:
          type: boolean
          description: 첫 구매 할인 적용 여부
          deprecated: true
        firstSalePrice:
          type: number
          description: 첫 구매 할인시 적용되는 할인 금액
          deprecated: true
        claimMethodType:
          type: string
          description: 선불인지 후불인지 여부
          enum:
            - PRE
            - POST
        whenToClaimType:
          type: string
          description: 후불인 경우, 언제 결제되는지
          enum:
            - FIRST_PAYMENT
            - DATE
        billingDate:
          type: integer
          description: 후불일 때 결제되는 날짜를 지정한 경우, 지정된 날짜
          format: int32
        maximumPurchaseQuantity:
          type: integer
          description: 최대 구매가능 수량
          format: int32
        membershipExpirationDate:
          type: integer
          description: 구독 만기 기간
          format: int32
        membershipExpirationDateType:
          type: string
          description: 구독 만기 기간 단위
          enum:
            - DAY
            - WEEK
            - MONTH
            - YEAR
        setupOption:
          $ref: '#/components/schemas/PriceSetupOptionV1DTO'
        options:
          type: array
          description: 옵션 정보
          deprecated: true
          items:
            $ref: '#/components/schemas/PriceOptionV1DTO'
        volumes:
          type: array
          deprecated: true
          items:
            $ref: '#/components/schemas/PriceVolumeV1DTO'
        additionalBilling:
          $ref: '#/components/schemas/PriceAdditionalBillingV1DTO'
        recurring:
          $ref: '#/components/schemas/PriceRecurringV1DTO'
        createdAt:
          type: string
          description: 생성된 시점
          format: date-time
        modifiedAt:
          type: string
          description: 수정된 시점
          format: date-time
        plan:
          $ref: '#/components/schemas/PlanV1DTO'
        firstSale:
          $ref: '#/components/schemas/FirstSaleV1DTO'
        claim:
          $ref: '#/components/schemas/ClaimV1DTO'
        basicServing:
          type: integer
          description: 기본 제공량 - 계정/사용량 기반 요금 사용시
          format: int32
        bundlePrices:
          type: array
          description: 번들 플랜 - 번들 상품 구성
          items:
            $ref: '#/components/schemas/PriceBundleV1DTO'
        onetimeBundlePrice:
          type: number
          description: 번들 플랜 - 단건 상품 금액
        order:
          type: integer
          description: 우선 순위
          format: int32
      description: 가격 플랜 정보
    SubscriptionItemV1DTO:
      title: 구독 항목 정보
      required:
        - claimMethodType
        - featuredImageUrl
        - hasOptions
        - id
        - isAdditional
        - isOnetimePurchasable
        - keepWhenRenew
        - plan
        - price
        - priceType
        - productName
        - productType
        - quantity
        - selectedOptions
        - selectedProductOptionIds
        - selectedProductOptionPrice
        - type
      type: object
      properties:
        id:
          type: integer
          description: 구독 항목 번호
          format: int64
        code:
          type: string
          description: 구독 항목 코드
        productName:
          type: string
          description: 상품명
        productType:
          type: string
          description: 상품 타입
          enum:
            - BOX
            - SOFTWARE
            - BUNDLE
            - INVOICE
            - DRAFT
        isOnetimePurchasable:
          type: boolean
          description: 활성구독 제한 여부
        featuredImageUrl:
          type: string
          description: 이미지 URL
        selectedProductOptionLabel:
          type: string
          description: 선택한 옵션 정보
        selectedProductOptionIds:
          type: array
          description: 선택한 옵션들의 ID
          items:
            type: integer
            description: 선택한 옵션들의 ID
            format: int64
        selectedProductOptionPrice:
          type: number
          description: 선택한 옵션 추가 금액
        plan:
          $ref: '#/components/schemas/PlanV1DTO'
        price:
          type: number
          description: 가격
        quantity:
          type: integer
          description: 수량
          format: int32
        isAdditional:
          type: boolean
          description: 추가 구매 상품인지 여부
        keepWhenRenew:
          type: boolean
          description: 갱신될 때 유지되는 항목인지 여부
        hasOptions:
          type: boolean
          description: 옵션이 존재하는지 여부
        maximumPurchaseQuantity:
          type: integer
          description: 최대 구매 가능 수량
          format: int32
        productCode:
          type: string
          description: 상품 코드
        priceCode:
          type: string
          description: 가격 플랜 코드
        type:
          type: string
          description: 항목 타입
          enum:
            - SKU
            - TAX
            - SHIPPING
            - DISCOUNT
            - OFFLINE
            - FEE
            - ADDS
            - INSTANT
            - USAGE
        claimMethodType:
          type: string
          description: 선불인지 후불인지 정보
          enum:
            - PRE
            - POST
        priceType:
          type: string
          description: 가격 플랜 타입
          enum:
            - ONE_TIME
            - FLAT
            - UNIT_BASED
            - USAGE_BASED
            - VOLUME_BASED
            - BUNDLE
        selectedOptions:
          type: array
          description: 선택된 옵션
          items:
            type: integer
            description: 선택된 옵션
            format: int64
        parentSubscriptionItemCode:
          type: string
          description: 파생 구독 아이템의 부모(번들) 아이템 코드
      description: 구독 항목들
    CustomerPaymentMethodV1DTO:
      title: 결제 수단 정보
      type: object
      properties:
        paymentGateway:
          type: string
          description: 사용한 PG
          enum:
            - NAVER
            - DANAL
            - KAKAO
            - KG
            - KCP
            - NICE
            - JT
            - GOOGLE
            - BANKPAY
            - BLUEWALNUT
            - KSNET
            - TOSS
            - EXIMBAY
            - SETTLE
            - DAOUDATA
            - WELCOME
            - NICE_V2
            - STRIPE
            - PAYPLE
            - PAYPLE_GLOBAL
            - KICC
            - EMPTY
            - STEPPAY
            - UNKNOWN
        paymentInfo:
          type: string
          description: 결제수단 정보(카드번호 등)
      description: 연관 결제수단
    RegionV1DTO:
      title: 판매국가 정보
      required:
        - code
        - country
        - countryCode
        - currency
      type: object
      properties:
        code:
          title: Region Enum Code
          type: string
        currency:
          title: 해당 국가에서 사용되는 대표 통화 코드
          type: string
        country:
          title: 국가 이름
          type: string
        countryCode:
          title: 국가 코드(ISO 3166 alpha-2)
          type: string
        state:
          title: 주 이름
          type: string
        language:
          title: 국가 언어 코드(ISO 639-1)
          type: string
      description: 판매 국가(주)
    PriceSetupOptionV1DTO:
      title: 기본료 정보
      required:
        - name
        - type
      type: object
      properties:
        id:
          type: integer
          description: 기본료 번호
          format: int64
        name:
          type: string
          description: 기본료 이름
        type:
          type: string
          description: 기본료 타입
          enum:
            - INITIALLY
            - PERIODIC
        price:
          type: number
          description: 기본료 금액(기준통화)
        currencyPrice:
          type: object
          additionalProperties:
            type: number
            description: 통화별 기본료 금액(기준통화 외)
          description: 통화별 기본료 금액(기준통화 외)
        claimMethodType:
          type: string
          description: 기본료가 선불인지 후불인지 여부
          enum:
            - PRE
            - POST
      description: 기본료 정보
    PriceOptionV1DTO:
      title: 가격 플랜 옵션 정보
      required:
        - id
        - price
      type: object
      properties:
        id:
          type: integer
          description: 옵션 번호
          format: int64
        name:
          type: string
          description: 옵션 이름
        productCode:
          type: string
          description: 연관 상품 코드
        type:
          type: string
          description: 옵션 타입
          enum:
            - INITIALLY
            - PERIODIC
        price:
          type: integer
          description: 가격
          format: int64
        priceCode:
          type: string
          description: 연관 가격플랜 코드
        priceName:
          type: string
          description: 연관 가격플랜 이름
        productType:
          type: string
          description: 연관 상품 타입
          enum:
            - BOX
            - SOFTWARE
            - BUNDLE
            - INVOICE
            - DRAFT
        recurringDTO:
          $ref: '#/components/schemas/PriceRecurringV1DTO'
      description: 옵션 정보
      deprecated: true
    PriceVolumeV1DTO:
      required:
        - id
        - max
        - min
        - price
      type: object
      properties:
        id:
          type: integer
          format: int64
        min:
          type: integer
          format: int64
        max:
          type: integer
          format: int64
        price:
          type: integer
          format: int64
      deprecated: true
    PriceAdditionalBillingV1DTO:
      title: 추가 과금 정보
      required:
        - id
        - ranges
        - type
      type: object
      properties:
        id:
          type: integer
          description: 추가 과금 번호
          format: int64
        type:
          type: string
          description: 추가 과금 타입
          enum:
            - USAGE_BASED_WITH_RANGE
            - USAGE_BASED_WITH_RANGE_AND_FIXED_PRICE
        ranges:
          type: array
          description: 추가 과금 범위 정보
          items:
            $ref: '#/components/schemas/PriceAdditionalBillingRangeV1DTO'
      description: 추가 과금 정보
    PriceRecurringV1DTO:
      title: 구독 주기 정보
      required:
        - id
        - intervalCount
      type: object
      properties:
        id:
          type: integer
          description: 주기 정보 번호
          format: int64
        intervalCount:
          type: integer
          description: 주기
          format: int32
        aggregateUsageType:
          type: string
          deprecated: true
          enum:
            - SUM
            - LAST_DURING_PERIOD
            - LAST_EVER
            - MAX
        interval:
          type: string
          description: 주기 단위
          enum:
            - DAY
            - WEEK
            - MONTH
            - YEAR
        usageType:
          type: string
          deprecated: true
          enum:
            - LICENSED
            - METERED
      description: 구독 주기 정보
    PlanV1DTO:
      title: 가격 플랜 정보
      required:
        - description
        - isHiddenFromShop
        - name
      type: object
      properties:
        name:
          type: string
          description: 플랜 이름
        description:
          type: string
          description: 플랜 설명
        detailDescription:
          type: string
          description: 자세히 보기
        isHiddenFromShop:
          type: boolean
          description: 플랜 사용 여부
        adminName:
          type: string
          description: 어드민 플랜 이름
      description: 가격 플랜 정보
    FirstSaleV1DTO:
      title: 첫 구매 할인 정보
      required:
        - currencyPrice
        - enabled
        - price
      type: object
      properties:
        enabled:
          type: boolean
          description: 첫 구매 할인 적용 여부
        price:
          type: number
          description: 첫 구매 할인시 적용되는 할인 금액(기준통화)
        currencyPrice:
          type: object
          additionalProperties:
            type: number
            description: 통화별 첫구매 할인 금액(기준통화 외)
          description: 통화별 첫구매 할인 금액(기준통화 외)
      description: 첫 구매 할인 정보
    ClaimV1DTO:
      title: 청구 방식 정보
      required:
        - billingDate
        - methodType
        - whenToClaimType
      type: object
      properties:
        methodType:
          type: string
          description: 선불인지 후불인지 여부
          enum:
            - PRE
            - POST
        whenToClaimType:
          type: string
          description: 후불인 경우, 언제 결제되는지
          enum:
            - FIRST_PAYMENT
            - DATE
        billingDate:
          type: integer
          description: 후불일 때 결제되는 날짜를 지정한 경우, 지정된 날짜
          format: int32
        provideStartDay:
          type: integer
          description: 서비스 제공기간 시작일
          format: int32
      description: 청구 방식 정보
    PriceBundleV1DTO:
      required:
        - price
        - product
      type: object
      properties:
        product:
          $ref: '#/components/schemas/ProductV1DTO'
        price:
          $ref: '#/components/schemas/PriceV1DTO'
      description: 번들 플랜 - 번들 상품 구성
    PriceAdditionalBillingRangeV1DTO:
      title: 추가 과금 범위 정보
      required:
        - id
        - price
        - until
      type: object
      properties:
        id:
          type: integer
          description: 추가 과금 범위 번호
          format: int64
        until:
          type: integer
          description: 범위가 어디까지인지
          format: int64
        price:
          type: number
          description: 범위에 적용되는 금액
      description: 추가 과금 범위 정보
    ProductV1DTO:
      title: 상품 상세 정보
      required:
        - categories
        - code
        - combinedProducts
        - createdAt
        - demoPeriod
        - demoPeriodUnit
        - enabledDemo
        - eventBadge
        - id
        - isOnetimePurchasable
        - optionCombinations
        - optionGroups
        - prices
        - productOrder
        - status
        - useCombination
        - vendorUuid
      type: object
      properties:
        id:
          type: integer
          description: 상품 아이디
          format: int64
        code:
          type: string
          description: 상품 코드
        type:
          type: string
          description: 상품 타입
          enum:
            - BOX
            - SOFTWARE
            - BUNDLE
            - INVOICE
            - DRAFT
        status:
          type: string
          description: 상품 상태
          enum:
            - SALE
            - OUT_OF_STOCK
            - UNSOLD
            - WAITING_APPROVAL
            - REJECTED
        name:
          type: string
          description: 상품 이름
        subTitle:
          type: string
          description: 부제목
        featuredImageUrl:
          type: string
          description: 상품 대표 이미지 URL
        imageUrls:
          type: array
          description: 상품 이미지 URL
          items:
            type: string
            description: 상품 이미지 URL
        description:
          type: string
          description: 상품 설명
        summary:
          type: string
          description: 상품 요약
        reasonOfReject:
          type: string
          description: 상품 승인 거절 사유
        sku:
          type: string
          description: SKU
          deprecated: true
        quantity:
          type: integer
          description: 재고 수량
          format: int32
        combinedProducts:
          type: array
          description: 번들 상품 정보
          items:
            $ref: '#/components/schemas/BundleProductV1DTO'
        optionGroups:
          type: array
          description: 옵션 그룹 정보
          items:
            $ref: '#/components/schemas/ProductOptionGroupV1DTO'
        useCombination:
          type: boolean
          description: 조합형 옵션 사용 여부
        optionCombinations:
          type: array
          description: 옵션 조합
          items:
            $ref: '#/components/schemas/OptionCombinationV1DTO'
        prices:
          type: array
          description: 가격 플랜 목록
          items:
            $ref: '#/components/schemas/PriceV1DTO'
        createdAt:
          type: string
          description: 생성 시점
          format: date-time
        modifiedAt:
          type: string
          description: 수정 시점
          format: date-time
        enabledDemo:
          type: boolean
          description: 체험기간 활성화 여부
        demoPeriod:
          type: integer
          description: 체험 기간
          format: int32
        demoPeriodUnit:
          type: string
          description: 체험 기간 단위
          enum:
            - DAY
            - WEEK
            - MONTH
            - YEAR
        categories:
          type: array
          description: 카테고리
          items:
            $ref: '#/components/schemas/ProductCategoryV1DTO'
        vendorUuid:
          type: string
          description: 가맹점 UUID
          format: uuid
        productOrder:
          type: integer
          description: 순서
          format: int32
        isOnetimePurchasable:
          type: boolean
          description: 활성 구독 제한
          deprecated: true
        eventBadge:
          type: array
          description: 이벤트 뱃지
          deprecated: true
          items:
            $ref: '#/components/schemas/ProductEventBadgeV1DTO'
        notice:
          type: string
          description: 유의 사항
          deprecated: true
        useWidget:
          $ref: '#/components/schemas/ProductWidgetV1DTO'
        groupId:
          type: integer
          description: 그룹 ID
          format: int64
          deprecated: true
        countrySetting:
          $ref: '#/components/schemas/CountrySettingV1DTO'
        availableRegions:
          type: array
          description: 판매 가능 국가
          items:
            $ref: '#/components/schemas/RegionV1DTO'
      description: 상품 정보
    BundleProductV1DTO:
      title: 번들 상품 정보
      type: object
      properties:
        code:
          type: string
          description: 상품 코드
        type:
          type: string
          description: 상품 타입
          enum:
            - BOX
            - SOFTWARE
            - BUNDLE
            - INVOICE
            - DRAFT
        status:
          type: string
          description: 상품 상태
          enum:
            - SALE
            - OUT_OF_STOCK
            - UNSOLD
            - WAITING_APPROVAL
            - REJECTED
        name:
          type: string
          description: 상품 이름
        description:
          type: string
          description: 상품 설명
        options:
          type: array
          description: 상품 옵션 목록
          items:
            $ref: '#/components/schemas/ProductOptionGroupV1DTO'
        prices:
          type: array
          description: 상품 가격플랜 목록
          items:
            $ref: '#/components/schemas/PriceV1DTO'
        createdAt:
          type: string
          description: 생성된 시점
          format: date-time
        modifiedAt:
          type: string
          description: 수정된 시점
          format: date-time
      description: 번들 상품 정보
    ProductOptionGroupV1DTO:
      title: 상품 옵션 그룹 정보
      required:
        - id
        - name
        - options
      type: object
      properties:
        id:
          type: integer
          description: 옵션 그룹 번호
          format: int64
        name:
          type: string
          description: 옵션 그룹 이름
        options:
          type: array
          items:
            $ref: '#/components/schemas/ProductOptionV1DTO'
        depth:
          type: integer
          format: int32
      description: 옵션 그룹 정보
    OptionCombinationV1DTO:
      required:
        - id
        - status
      type: object
      properties:
        id:
          type: array
          items:
            type: integer
            format: int64
        quantity:
          type: integer
          format: int32
        price:
          type: number
        status:
          type: string
          enum:
            - SALE
            - OUT_OF_STOCK
            - HIDDEN
      description: 옵션 조합
    ProductCategoryV1DTO:
      required:
        - categoryId
        - name
      type: object
      properties:
        categoryId:
          type: integer
          format: int64
        name:
          type: string
      description: 카테고리
    ProductEventBadgeV1DTO:
      title: 첫 구매 할인 정보
      required:
        - event
      type: object
      properties:
        event:
          type: string
        startDateTime:
          type: string
          description: 시작 시점
          format: date-time
        endDateTime:
          type: string
          description: 끝 시점
          format: date-time
      description: 이벤트 뱃지
      deprecated: true
    ProductWidgetV1DTO:
      type: object
      properties:
        useDemo:
          type: boolean
        useEventBadge:
          type: boolean
        useOnetimePurchasable:
          type: boolean
        useNotice:
          type: boolean
      description: 상품 위젯 사용 여부
      deprecated: true
    CountrySettingV1DTO:
      required:
        - countryCode
        - currencyCode
        - id
        - isDefault
        - taxRate
        - timezoneName
      type: object
      properties:
        id:
          type: integer
          format: int64
        countryCode:
          type: string
        timezoneName:
          type: string
        currencyCode:
          type: string
        isDefault:
          type: boolean
        taxRate:
          type: number
      description: 국가 설정 정보
    ProductOptionV1DTO:
      title: 옵션 정보
      required:
        - id
        - name
        - price
      type: object
      properties:
        id:
          type: integer
          description: 옵션 번호
          format: int64
        name:
          type: string
          description: 옵션 이름
        quantity:
          type: integer
          description: 수량
          format: int32
        price:
          type: number
          description: 가격
        parent:
          type: integer
          format: int64
  securitySchemes:
    Secret-Token:
      type: apiKey
      in: header
      name: Secret-Token

````